%define upstream_name    Games-ABC_Path-Generator
%define upstream_version v0.2.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Represents a final layout
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Games/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Games::ABC_Path::Solver::Base) >= 0.3.0
BuildRequires: perl(Games::ABC_Path::Solver::Board) >= 0.3.0
BuildRequires: perl(Games::ABC_Path::Solver::Constants) >= 0.3.0
BuildRequires: perl(Games::ABC_Path::Solver::Coord) >= 0.3.0
BuildRequires: perl(Getopt::Long) >= 2.360.0
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::More)
BuildRequires: perl(integer)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
ABC Path puzzle games are puzzle games where one is given a 5*5 grid which
should contain a consecutive path of the letters from 'A' to 'Y' (with
vertical, horizontal, diagonal, or anti-diagonal steps). The position of
the letter 'A' is given, and two letters are given for each of the columns,
rows, main diagonal and main anti-diagonal, which can appear anywhere
there.

ABC Path can be played online at the
http://www.brainbashers.com/abcpath.asp manpage .

This package is a generator for ABC Path games, and it generates a
different layout with different clues for every random number generator
seed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/abc-path-gen
/usr/share/man/man1/abc-path-gen.1.xz

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.2.1-3.mga8
+ Revision: 1504557
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.2.1-2.mga7
+ Revision: 1283926
- Mageia 7 Mass Rebuild

* Tue Dec 26 2017 shlomif <shlomif> 0.2.1-1.mga7
+ Revision: 1185267
- update to v0.2.1

* Sun Jun 19 2016 pterjan <pterjan> 0.2.0-3.mga6
+ Revision: 1027648
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.2.0-2.mga6
+ Revision: 950137
- Mageia 6 Mass Rebuild

* Thu Oct 23 2014 shlomif <shlomif> 0.2.0-1.mga5
+ Revision: 792761
- imported package perl-Games-ABC_Path-Generator


* Thu Oct 23 2014 cpan2dist v0.2.0-1mga
- initial mageia release, generated with cpan2dist
